<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.m2pool.lease.mapper.LeasePayRecordMessageInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.m2pool.lease.entity.LeasePayRecordMessage">
        <id column="id" property="id" />
        <result column="queue_id" property="queueId" />
        <result column="from_address" property="fromAddress" />
        <result column="to_address" property="toAddress" />
        <result column="amount" property="amount" />
        <result column="to_chain" property="toChain" />
        <result column="to_symbol" property="toSymbol" />
        <result column="from_chain" property="fromChain" />
        <result column="from_symbol" property="fromSymbol" />
        <result column="order_id" property="orderId" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="status" property="status" />
        <result column="del" property="del" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, queue_id, from_address, to_address, amount, `to_chain`, to_symbol,from_chain,from_symbol, order_id,create_time, status, del
    </sql>
</mapper>
